package model.cellule;

/**
 * Définit une position dans un axe x et y
 */
public class Position {
	private int x;
	private int y;

	/**
	 *
	 * @param x position x
	 * @param y position y
	 */
	public Position(int x, int y){
		setX(x);
		setY(y);
	}

	/**
	 *
	 * @return position x
	 */
	public int getX() {
		return x;
	}

	/**
	 *
	 * @param valeur position x
	 * @throws IllegalArgumentException
	 */
	public void setX(int valeur) throws IllegalArgumentException{
		if(valeur<0) {
			throw new IllegalArgumentException("La valeur de X doit être positive");
		}
		x = valeur;
	}

	/**
	 *
	 * @return position y
	 */
	public int getY() {
		return y;
	}

	/**
	 *
	 * @param valeur position y
	 * @throws IllegalArgumentException
	 */
	public void setY(int valeur) throws IllegalArgumentException{
		if(valeur<0) {
			throw new IllegalArgumentException("La valeure de Y doit être positive");
		}
		y = valeur;
	}
}
